Package net.snowflake.client.core

## Class SFOCSPException

- java.lang.Object
- - java.lang.Throwable
  - - net.snowflake.client.core.SFOCSPException

All Implemented Interfaces:
  `Serializable`

    public class SFOCSPException
    extends Throwable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SFOCSPException​(OCSPErrorCode errorCode, String errorMsg)`
`SFOCSPException​(OCSPErrorCode errorCode, String errorMsg, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`OCSPErrorCode` `getErrorCode()`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SFOCSPException

    public SFOCSPException​(OCSPErrorCode errorCode,
                           String errorMsg)

#### SFOCSPException

    public SFOCSPException​(OCSPErrorCode errorCode,
                           String errorMsg,
                           Throwable cause)

### Method Detail

#### getErrorCode

    public OCSPErrorCode getErrorCode()

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`